AbstractAccessLogValve.RequestAttributeElement (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: RequestAttributeElement

# Class AbstractAccessLogValve.RequestAttributeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.RequestAttributeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.RequestAttributeElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write an attribute in the ServletRequest - %{xxx}r.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestAttributeElement(String attribute)`
  Creates a new request attribute element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### RequestAttributeElement

    public RequestAttributeElement(String attribute)
    Creates a new request attribute element.
    Parameters:
      `attribute` - The attribute name

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request